Nach Update - Weißer Bildschirm und PHP fatal error



  • Hallo,

    ich habe gerade ein Update durchgeführt voner 0.9.9-1 über -2, -3… bis auf -7.
    Die Updates liefen ohne Fehler durch.

    Nach dem Update von -6 auf -7 konnte ich jedoch nicht mehr auf I-Doit connecten.

    Ich erhalte nur ein weißes Bild und Apache meldet:
    PHP Fatal error:  Argument 1 passed to isys_component_tree::add_node() must be an object of class int, called in /usr/share/i-doit/src/classes/cmdb/view/isys_cmdb_view_tree_objecttype.class.php on line 87 and defined in /usr/share/i-doit/src/classes/components/isys_component_tree.class.php on line 138

    Die Berechtigungen sind nach Wiki gesetzt, aber ich komme einfach nicht aufs System.

    Ich wäre für jede Hilfe dankbar!

    Grüße
    Phil



  • Hallo Phil, ich bin zwar auch nur Laie aber ich würde mal versuchen die beiden betroffenen php Dateien mit den Dateien im i-doit-9.9.7 install paket zu ersetzen, also nicht das vom Update Paket. Behalte aber die Originale Datein sicherheitshalber.

    Viel Erfolg und viele Grüße…



  • Hallo,

    das habe ich schon versucht - ohne Erfolg.

    Phil



  • Hmm diese Meldung ist uns bisher nicht bekannt. Hast du auch mal versuch das komplette Install Paket drüber zu kopieren? Vielleicht wurden beim Update einige Dateien nicht kopiert.
    Was für eine PHP Version hast du?



  • Hallo,

    ja, ich habe alles drüber kopiert.

    PHP-Version ist:
    5.1.6

    Grüße
    Phil



  • Du brauchst mindestes 5.2.2.
    5.3.0 oder sogar höher wäre am Besten.



  • Hallo,

    danke für die Antwort.
    Das ist leider ein Problem für mich…

    Ich nutze auf dem entsprechenden Server Centos 5 und da wird derzeit eben 5.1.6 mitgeliefert. Da auf dem Server auch andere Dinge laufen, ist es hier nicht wirklich einfach drum rum zu bauen.

    Gibt es keine Alternative?
    I-Doit 0.9.9-1 bis -6 liefen ja noch auf dem Server.

    Phil



  • Hallo,

    ich habe es noch einmal getestet:
    I-Doit 0.9.9-6 läuft grundsätzlich an, nur eben nach dem Update auf 0.9.7 nicht mehr, weil die DB-Version nicht mehr passt.

    Phil


 


Datenschutz / Privacy Policy